After upgrading to Ubuntu 12.04.3 LTS, I could not boot in GUI / X anymore. I got this when trying to start X:

$ startx

NVIDIA: API mismatch: the NVIDIA kernel module has version 304.88, but this NVIDIA driver component has version 304.108.
Please make sure that the kernel module and all NVIDIA driver components have the same version.

To fix that it seems you have to disable the xorg:nvidia_304_updates (304.108) driver and enable the xorg:nvidia_304 (304.88) driver:

$ sudo jockey-text -e xorg:nvidia_304 

After that you should have xorg:nvidia_304 listed as Proprietary, Enabled, In use:

$ sudo jockey-text --list
xorg:nvidia_173 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
xorg:nvidia_173_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
xorg:nvidia_304 - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
xorg:nvidia_304_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
xorg:nvidia_96 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)    

And finally you have to reboot:

$ sudo reboot
Tagged with →  
Share →

Leave a Reply

Your email address will not be published. Required fields are marked *


− eight = 1

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>